View Issue Details

IDProjectCategoryView StatusLast Update
0004169SOGoWeb Mailpublic2017-05-31 18:34
Reporterjoppe Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Client] AppleOSOS XOS Version10.9
Product Version3.2.9 
Fixed in Version3.2.10 
Summary0004169: Default language set but not accepted and webpage doesn't pre-select default language
Description

I have Sogo running on Ubuntu since today and edited the /etc/sogo/sogo.conf file so that it will defaults to Europe/Amsterdam time zone and Dutch as a language

The time zone works perfectly but the default language remains in English.

I have set the config like this:
// Default language in the web interface
SOGoLanguage = Dutch;

Another thing that would be great to introduce is that the Sogo webmail doesn't pre-select default language, this would be come in handy.

TagsNo tags attached.

Activities

joppe

joppe

2017-05-13 12:03

reporter  

nodefaultlanguageselected.png (5,920 bytes)   
nodefaultlanguageselected.png (5,920 bytes)   
joppe

joppe

2017-05-14 17:35

reporter   ~0011809

I have fixed the selection of a language a bit 'dirty' in the template file: /usr/lib/GNUstep/SOGo/Templates/MainUI/SOGoRootPage.wox

like this:

        <!-- LANGUAGES SELECT -->
        <div layout="row" layout-align="start end">
          <md-icon>language</md-icon>
          <md-input-container class="md-flex">
            <label><var:string label:value="choose"/></label>
            <md-select ng-model="app.creds.language">
                    <md-option value="Dutch"  ng-selected="true">Nederlands / Dutch</md-option>
                    <var:foreach list="languages" item="item">
                <md-option var:value="item">
                  <var:string value="languageText"/>
                </md-option>
              </var:foreach>
            </md-select>
          </md-input-container>
        </div>

The default setting in the /etc/sogo/sogo.conf still doesn't give me Dutch as a main language, hope some of you guys have the answer to that.

Thanks!

Related Changesets

sogo: master 41967d3e

2017-05-18 22:28:05

francis

Details Diff
Respect languages preferences on login page

Fixes 0004169
Affected Issues
0004169
mod - NEWS Diff File
mod - SoObjects/SOGo/SOGoDefaults.plist Diff File
mod - SoObjects/SOGo/WOContext+SOGo.m Diff File
mod - UI/MainUI/SOGoRootPage.m Diff File
mod - UI/Templates/MainUI/SOGoRootPage.wox Diff File
mod - UI/WebServerResources/js/Main/Main.app.js Diff File

sogo: v2 e73a3495

2017-05-31 10:48:35

francis

Details Diff
Respect languages preferences on login page

Fixes 0004169
Affected Issues
0004169
mod - NEWS Diff File
mod - SoObjects/SOGo/SOGoDefaults.plist Diff File
mod - SoObjects/SOGo/WOContext+SOGo.m Diff File
mod - UI/MainUI/SOGoRootPage.h Diff File
mod - UI/MainUI/SOGoRootPage.m Diff File
mod - UI/Templates/MainUI/SOGoRootPage.wox Diff File
mod - UI/WebServerResources/SOGoRootPage.js Diff File

Issue History

Date Modified Username Field Change
2017-05-13 12:03 joppe New Issue
2017-05-13 12:03 joppe File Added: nodefaultlanguageselected.png
2017-05-14 17:35 joppe Note Added: 0011809
2017-05-15 09:19 ludovic Assigned To => francis
2017-05-15 09:19 ludovic Status new => assigned
2017-05-18 22:29 francis Changeset attached => sogo master 41967d3e
2017-05-18 22:29 francis Resolution open => fixed
2017-05-18 22:30 francis Status assigned => resolved
2017-05-18 22:30 francis Fixed in Version => 3.2.10
2017-05-31 10:49 francis Changeset attached => sogo v2 e73a3495